#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile --output-file=requirements-dev.txt requirements-dev.in
#
aniso8601==7.0.0
    # via graphene
anyascii==0.3.1
    # via wagtail
anyio==3.5.0
    # via watchfiles
argon2-cffi==21.3.0
    # via -r requirements.in
argon2-cffi-bindings==21.2.0
    # via argon2-cffi
asgiref==3.5.0
    # via django
astroid==2.11.2
    # via pylint
asttokens==2.0.5
    # via stack-data
async-timeout==4.0.2
    # via redis
attrs==21.4.0
    # via
    #   jsonschema
    #   pytest
    #   usort
authlib==1.0.0
    # via -r requirements.in
backcall==0.2.0
    # via ipython
beautifulsoup4==4.9.3
    # via wagtail
black==22.10.0
    # via
    #   -r requirements-dev.in
    #   ufmt
boto3==1.26.11
    # via -r requirements.in
botocore==1.29.11
    # via
    #   boto3
    #   s3transfer
brotli==1.0.9
    # via whitenoise
build==0.8.0
    # via pip-tools
certifi==2021.10.8
    # via
    #   requests
    #   sentry-sdk
cffi==1.15.0
    # via
    #   argon2-cffi-bindings
    #   cryptography
cfgv==3.3.1
    # via pre-commit
charset-normalizer==2.0.12
    # via requests
click==8.1.1
    # via
    #   black
    #   django-click
    #   moreorless
    #   pip-tools
    #   ufmt
    #   usort
    #   uvicorn
concurrent-log-handler==0.9.20
    # via -r requirements.in
coreapi==2.3.3
    # via djangorestframework-stubs
coreschema==0.0.4
    # via coreapi
coverage==6.3.2
    # via
    #   -r requirements-dev.in
    #   django-coverage-plugin
cryptography==36.0.2
    # via authlib
decorator==5.1.1
    # via
    #   ipdb
    #   ipython
deprecated==1.2.13
    # via redis
dill==0.3.4
    # via pylint
distlib==0.3.4
    # via virtualenv
dj-database-url==1.0.0
    # via -r requirements.in
django==3.2.13
    # via
    #   -r requirements.in
    #   dj-database-url
    #   django-cors-headers
    #   django-csp
    #   django-debug-toolbar
    #   django-extensions
    #   django-filter
    #   django-model-utils
    #   django-modelcluster
    #   django-permissionedforms
    #   django-redis
    #   django-storages
    #   django-stubs
    #   django-stubs-ext
    #   django-taggit
    #   django-treebeard
    #   django-watchfiles
    #   djangorestframework
    #   drf-spectacular
    #   graphene-django
    #   wagtail
    #   wagtail-grapple
    #   wagtail-localize
django-click==2.3.0
    # via -r requirements.in
django-cors-headers==3.11.0
    # via -r requirements.in
django-coverage-plugin==2.0.2
    # via -r requirements-dev.in
django-csp==3.7
    # via -r requirements.in
django-debug-toolbar==3.2.4
    # via -r requirements-dev.in
django-extensions==3.2.0
    # via -r requirements-dev.in
django-filter==21.1
    # via wagtail
django-ipware==4.0.2
    # via -r requirements.in
django-model-utils==4.2.0
    # via -r requirements.in
django-modelcluster==6.0
    # via wagtail
django-permissionedforms==0.1
    # via wagtail
django-ratelimit==3.0.1
    # via -r requirements.in
django-redis==5.2.0
    # via -r requirements.in
django-storages==1.13.1
    # via -r requirements.in
django-stubs==1.10.1
    # via
    #   -r requirements-dev.in
    #   djangorestframework-stubs
django-stubs-ext==0.4.0
    # via django-stubs
django-taggit==2.1.0
    # via wagtail
django-treebeard==4.5.1
    # via wagtail
django-watchfiles @ https://github.com/q0w/django-watchfiles/archive/issue-1.zip
    # via -r requirements-dev.in
djangorestframework==3.13.1
    # via
    #   -r requirements.in
    #   drf-spectacular
    #   wagtail
djangorestframework-stubs==1.4.0
    # via -r requirements-dev.in
draftjs-exporter==2.1.7
    # via wagtail
drf-spectacular==0.22.0
    # via -r requirements.in
environs==9.5.0
    # via -r requirements.in
et-xmlfile==1.1.0
    # via openpyxl
executing==0.8.3
    # via stack-data
factory-boy==3.2.1
    # via
    #   -r requirements-dev.in
    #   wagtail-factories
faker==13.3.4
    # via factory-boy
filelock==3.6.0
    # via virtualenv
flake8==4.0.1
    # via
    #   -r requirements-dev.in
    #   flake8-isort
flake8-isort==4.1.1
    # via -r requirements-dev.in
gitdb==4.0.9
    # via gitdb2
gitdb2==4.0.2
    # via gitpython
gitpython==3.0.6
    # via trufflehog
graphene==2.1.9
    # via graphene-django
graphene-django==2.15.0
    # via wagtail-grapple
graphql-core==2.3.2
    # via
    #   graphene
    #   graphene-django
    #   graphql-relay
    #   wagtail-grapple
graphql-relay==2.0.1
    # via graphene
gunicorn==20.1.0
    # via -r requirements.in
h11==0.13.0
    # via uvicorn
html5lib==1.1
    # via wagtail
httptools==0.4.0
    # via uvicorn
identify==2.4.12
    # via pre-commit
idna==3.3
    # via
    #   anyio
    #   requests
inflection==0.5.1
    # via drf-spectacular
iniconfig==1.1.1
    # via pytest
ipdb==0.13.9
    # via -r requirements-dev.in
ipython==8.2.0
    # via ipdb
isort==5.10.1
    # via
    #   flake8-isort
    #   pylint
itypes==1.2.0
    # via coreapi
jedi==0.18.1
    # via ipython
jinja2==3.1.1
    # via coreschema
jmespath==1.0.1
    # via
    #   boto3
    #   botocore
jsonschema==4.4.0
    # via drf-spectacular
l18n==2021.3
    # via wagtail
lazy-object-proxy==1.7.1
    # via astroid
libcst==0.4.7
    # via
    #   ufmt
    #   usort
markupsafe==2.1.1
    # via jinja2
marshmallow==3.15.0
    # via environs
matplotlib-inline==0.1.3
    # via ipython
mccabe==0.6.1
    # via
    #   flake8
    #   pylint
moreorless==0.4.0
    # via
    #   ufmt
    #   usort
mypy==0.942
    # via
    #   -r requirements-dev.in
    #   django-stubs
    #   djangorestframework-stubs
mypy-extensions==0.4.3
    # via
    #   black
    #   mypy
    #   typing-inspect
nodeenv==1.6.0
    # via pre-commit
openpyxl==3.0.9
    # via tablib
packaging==21.3
    # via
    #   build
    #   marshmallow
    #   pytest
    #   pytest-sugar
    #   redis
parso==0.8.3
    # via jedi
pathspec==0.9.0
    # via
    #   black
    #   trailrunner
pep517==0.12.0
    # via build
pexpect==4.8.0
    # via ipython
pickleshare==0.7.5
    # via ipython
pillow==9.0.1
    # via
    #   -r requirements.in
    #   wagtail
pip-tools==6.9.0
    # via -r requirements-dev.in
platformdirs==2.5.1
    # via
    #   black
    #   pylint
    #   virtualenv
pluggy==1.0.0
    # via pytest
polib==1.1.1
    # via wagtail-localize
portalocker==2.4.0
    # via concurrent-log-handler
pre-commit==2.17.0
    # via -r requirements-dev.in
promise==2.3
    # via
    #   graphene-django
    #   graphql-core
    #   graphql-relay
prompt-toolkit==3.0.28
    # via ipython
psycopg2-binary==2.9.3
    # via -r requirements.in
ptyprocess==0.7.0
    # via pexpect
pure-eval==0.2.2
    # via stack-data
py==1.11.0
    # via pytest
pycodestyle==2.8.0
    # via flake8
pycparser==2.21
    # via cffi
pyflakes==2.4.0
    # via flake8
pygments==2.11.2
    # via ipython
pylint==2.13.4
    # via
    #   pylint-django
    #   pylint-plugin-utils
pylint-django==2.5.3
    # via -r requirements-dev.in
pylint-plugin-utils==0.7
    # via pylint-django
pyparsing==3.0.7
    # via packaging
pyrsistent==0.18.1
    # via jsonschema
pytest==7.1.3
    # via
    #   -r requirements-dev.in
    #   pytest-django
    #   pytest-sugar
pytest-django==4.5.2
    # via -r requirements-dev.in
pytest-sugar==0.9.4
    # via -r requirements-dev.in
python-dateutil==2.8.2
    # via
    #   botocore
    #   faker
python-dotenv==0.20.0
    # via
    #   environs
    #   uvicorn
python-json-logger==2.0.2
    # via -r requirements.in
python-slugify==6.1.1
    # via -r requirements.in
pytz==2022.1
    # via
    #   -r requirements.in
    #   django
    #   django-modelcluster
    #   djangorestframework
    #   l18n
pyyaml==6.0
    # via
    #   drf-spectacular
    #   libcst
    #   pre-commit
    #   uvicorn
redis==4.2.1
    # via
    #   -r requirements.in
    #   django-redis
requests==2.27.1
    # via
    #   coreapi
    #   djangorestframework-stubs
    #   wagtail
rx==1.6.1
    # via graphql-core
s3transfer==0.6.0
    # via boto3
sentry-sdk==1.5.8
    # via -r requirements.in
singledispatch==3.7.0
    # via graphene-django
six==1.16.0
    # via
    #   asttokens
    #   django-coverage-plugin
    #   graphene
    #   graphene-django
    #   graphql-core
    #   graphql-relay
    #   html5lib
    #   l18n
    #   promise
    #   python-dateutil
    #   singledispatch
    #   virtualenv
smmap==5.0.0
    # via gitdb
sniffio==1.2.0
    # via anyio
soupsieve==2.3.2.post1
    # via beautifulsoup4
sqlparse==0.4.2
    # via
    #   django
    #   django-debug-toolbar
stack-data==0.2.0
    # via ipython
stdlibs==2022.6.8
    # via usort
structlog==21.5.0
    # via -r requirements.in
tablib[xls,xlsx]==3.2.1
    # via wagtail
telepath==0.2
    # via wagtail
termcolor==1.1.0
    # via pytest-sugar
testfixtures==6.18.5
    # via flake8-isort
text-unidecode==1.3
    # via
    #   graphene-django
    #   python-slugify
toml==0.10.2
    # via
    #   ipdb
    #   pre-commit
    #   usort
tomli==2.0.1
    # via
    #   black
    #   build
    #   django-stubs
    #   mypy
    #   pep517
    #   pylint
    #   pytest
tomlkit==0.11.5
    # via ufmt
trailrunner==1.2.1
    # via
    #   ufmt
    #   usort
traitlets==5.1.1
    # via
    #   ipython
    #   matplotlib-inline
trufflehog==2.2.1
    # via -r requirements-dev.in
trufflehogregexes==0.0.7
    # via trufflehog
types-pytz==2021.3.6
    # via django-stubs
types-pyyaml==6.0.5
    # via django-stubs
typing-extensions==4.1.1
    # via
    #   django-stubs
    #   django-stubs-ext
    #   djangorestframework-stubs
    #   libcst
    #   mypy
    #   typing-inspect
    #   ufmt
    #   wagtail-localize
typing-inspect==0.8.0
    # via libcst
ufmt==2.0.1
    # via -r requirements-dev.in
uritemplate==4.1.1
    # via
    #   coreapi
    #   drf-spectacular
urllib3==1.26.9
    # via
    #   botocore
    #   requests
    #   sentry-sdk
usort==1.0.5
    # via ufmt
uvicorn[standard]==0.18.3
    # via -r requirements.in
uvloop==0.16.0
    # via uvicorn
virtualenv==20.14.0
    # via pre-commit
wagtail==3.0.1
    # via
    #   -r requirements.in
    #   wagtail-factories
    #   wagtail-grapple
    #   wagtail-headless-preview
    #   wagtail-localize
wagtail-factories==2.0.1
    # via -r requirements.in
wagtail-grapple==0.18.0
    # via -r requirements.in
wagtail-headless-preview==0.4.0
    # via wagtail-grapple
wagtail-localize==1.2.1
    # via -r requirements.in
watchfiles==0.17.0
    # via
    #   django-watchfiles
    #   uvicorn
wcwidth==0.2.5
    # via prompt-toolkit
webencodings==0.5.1
    # via html5lib
websockets==10.2
    # via uvicorn
wheel==0.37.1
    # via pip-tools
whitenoise[brotli]==6.0.0
    # via -r requirements.in
willow==1.4.1
    # via wagtail
wrapt==1.14.0
    # via
    #   astroid
    #   deprecated
xlrd==2.0.1
    # via tablib
xlsxwriter==3.0.3
    # via wagtail
xlwt==1.3.0
    # via tablib

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools
